osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

apt-get not updating GUI packages?


On Mon, 30 Apr 2018 20:49:58 +0200, Hylton Conacher (ZR1HPC) wrote:
>Seeing as the packages that were stopped from upgrading do not
>indicate files I might need i.e. fetchmail, my questions still remains
>why apt will not update 5 files yet using synaptic via a GUI will
>especially since apt, I assume, is the back-end to Synaptic, or am I
>stuck using the GUI when I thought the CLI out manoeuvred the GUI?
>
>As I hope you can see the bigger question is why Synaptic can upgrade 
>the packages left by apt yet apt, apparently being the back-end to 
>Synaptic, can't?

By default Synaptic performs a dist-upgrade. The dist-upgrade is named
"smart upgrade" by Synaptic.

"[snip]
Smart Upgrade (Dist-Upgrade) -- recommended
The smart upgrade method tries to resolve package conflicts. This
includes installing additional dependencies (required packages) if
needed and preferring packages with higher priority. Smart Upgrade has
the same effect as the apt-get dist-upgrade tool on the command line.
[snip]
Dist-upgrade is the default upgrade method used by Synaptic.
[snip]" -
https://help.ubuntu.com/community/SynapticHowto#How_to_keep_your_system_up-to-date.2C_including_the_Kernel